summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2003-05-03 14:24:37 +0000
committerJim Meyering <jim@meyering.net>2003-05-03 14:24:37 +0000
commit46c548cab4367f2e9e38370336d2aed0d7d10fff (patch)
tree1c4b9a8645d2ecf41030b6dc90f724e013fd869d /tests
parent18675213044d1a47790601f87c6a3f7f3435826a (diff)
downloadcoreutils-46c548cab4367f2e9e38370336d2aed0d7d10fff.tar.xz
Skip test if the file system of `.' doesn't support
sparse files -- otherwise it'd create a file of size 8GB. This happens on Darwin6.5 with a file system of type `hfs'.
Diffstat (limited to 'tests')
-rwxr-xr-xtests/du/8gb12
1 files changed, 12 insertions, 0 deletions
diff --git a/tests/du/8gb b/tests/du/8gb
index 140036996..6ca790914 100755
--- a/tests/du/8gb
+++ b/tests/du/8gb
@@ -23,6 +23,18 @@ if test $framework_failure = 1; then
(exit 1); exit 1
fi
+# If this file system doesn't support sparse files,
+# don't try to create a file that'd end up consuming 8GB.
+# This happens on Darwin6.5 with a file system of type `hfs'.
+dd bs=1 seek=64K of=t < /dev/null 2> /dev/null
+set x `du -sk t`
+if test "$2" = 64; then
+ echo "$0: skipping this test, since this file system doesn't support" 1>&2
+ echo "$0: sparse files and this test requires a file with an apparent" 1>&2
+ echo "$0: size of 8GB" 1>&2
+ (exit 77); exit 77
+fi
+
dd bs=1 seek=8G of=big < /dev/null 2> /dev/null
if test $? != 0; then
echo "$0: cannot create a file large enough for this test; possibly" 1>&2